import { variants } from './variants'

import type { CardProps } from './types'

export function Card({ as, className, children }: CardProps) {
  const classNames = variants({
    as,
    className,
  })
  return <div className={classNames}>{children}</div>
}
